{ lib
, makeWrapper
, nixosTests
, protobuf
, rustPlatform
, stdenv
}:

rustPlatform.buildRustPackage {
  pname = "pict-rs-aggregator";
  version = "0.2.0-beta.1";
  src = ./.;
  cargoSha256 = "UHTjI4UAVFP4KnkyWuubiVkFev+/z3PvCvDZVOy+Kxs=";

  PROTOC = "${protobuf}/bin/protoc";
  PROTOC_INCLUDE = "${protobuf}/include";

  nativeBuildInputs = [ ];

  passthru.tests = { inherit (nixosTests) pict-rs-aggregator; };

  meta = with lib; {
    description = "A simple image hosting service";
    homepage = "https://git.asonix.dog/asonix/pict-rs-aggregator";
    license = with licenses; [ agpl3Plus ];
  };
}
